Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultBasicMeasure

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultBasicMeasure

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQM_BasicMeasure", specification=UNSPECIFIED) public class DefaultBasicMeasure extends ISOMetadata
Data quality basic measure. The following property is mandatory in a well-formed metadata according ISO 19157:
`DQM_BasicMeasure` `├─name……………………` Name of the data quality basic measure applied to the data. `├─definition……` Definition of the data quality basic measure. `├─example……………` Illustration of the use of a data quality measure. `└─valueType………` Value type for the result of the basic measure (shall be one of the data types defined in ISO/TS 19103:2005).

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultBasicMeasure()`
  Constructs an initially empty basic measure.
  `DefaultBasicMeasure(DefaultBasicMeasure object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getDefinition()`
  Returns the definition of the data quality basic measure.
  `DefaultMeasureDescription`
  `getExample()`
  Returns the illustration of the use of a data quality measure.
  `InternationalString`
  `getName()`
  Returns the name of the data quality basic measure.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `TypeName`
  `getValueType()`
  Returns the value type for the result of the basic measure.
  `void`
  `setDefinition(InternationalString newValue)`
  Sets the definition of the data quality basic measure.
  `void`
  `setExample(DefaultMeasureDescription newValues)`
  Sets the illustration of the use of a data quality measure.
  `void`
  `setName(InternationalString newValue)`
  Sets the name of the data quality basic measure.
  `void`
  `setValueType(TypeName newValue)`
  Sets the value type for the result of the basic measure.

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultBasicMeasure

    public DefaultBasicMeasure()
    Constructs an initially empty basic measure.

  - ### DefaultBasicMeasure

    public DefaultBasicMeasure(DefaultBasicMeasure object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getName

    @UML(identifier="name", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getName()
    Returns the name of the data quality basic measure.
    Returns:
      name of the data quality basic measure.

  - ### setName

    public void setName(InternationalString newValue)
    Sets the name of the data quality basic measure.
    Parameters:
      `newValue` - the new basic measure name.

  - ### getDefinition

    @UML(identifier="definition", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getDefinition()
    Returns the definition of the data quality basic measure.
    Returns:
      definition of the data quality basic measure.

  - ### setDefinition

    public void setDefinition(InternationalString newValue)
    Sets the definition of the data quality basic measure.
    Parameters:
      `newValue` - the new basic measure definition.

  - ### getExample

    @UML(identifier="example", obligation=OPTIONAL, specification=UNSPECIFIED) public DefaultMeasureDescription getExample()
    Returns the illustration of the use of a data quality measure.
    Returns:
      usage example, or `null` if none.

  - ### setExample

    public void setExample(DefaultMeasureDescription newValues)
    Sets the illustration of the use of a data quality measure.
    Parameters:
      `newValues` - the new basic measure example.

  - ### getValueType

    @UML(identifier="valueType", obligation=MANDATORY, specification=UNSPECIFIED) public TypeName getValueType()
    Returns the value type for the result of the basic measure.
    Returns:
      value type of the result for the basic measure.

  - ### setValueType

    public void setValueType(TypeName newValue)
    Sets the value type for the result of the basic measure.
    Parameters:
      `newValue` - the new basic measure value type.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.